CryptoServicePurpose (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto

## Enum CryptoServicePurpose

- java.lang.Object
- - java.lang.Enum<CryptoServicePurpose>
  - - org.bouncycastle.crypto.CryptoServicePurpose

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CryptoServicePurpose>

      public enum CryptoServicePurpose
      extends java.lang.Enum<CryptoServicePurpose>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGREEMENT`
    `ANY`
    `AUTHENTICATION`
    `DECRYPTION`
    `ENCRYPTION`
    `KEYGEN`
    `PRF`
    `SIGNING`
    `VERIFICATION`
    `VERIFYING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CryptoServicePurpose` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CryptoServicePurpose[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AGREEMENT

          public static final CryptoServicePurpose AGREEMENT

    - #### ENCRYPTION

          public static final CryptoServicePurpose ENCRYPTION

    - #### DECRYPTION

          public static final CryptoServicePurpose DECRYPTION

    - #### KEYGEN

          public static final CryptoServicePurpose KEYGEN

    - #### SIGNING

          public static final CryptoServicePurpose SIGNING

    - #### VERIFYING

          public static final CryptoServicePurpose VERIFYING

    - #### AUTHENTICATION

          public static final CryptoServicePurpose AUTHENTICATION

    - #### VERIFICATION

          public static final CryptoServicePurpose VERIFICATION

    - #### PRF

          public static final CryptoServicePurpose PRF

    - #### ANY

          public static final CryptoServicePurpose ANY

  - ### Method Detail

    - #### values

          public static CryptoServicePurpose[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CryptoServicePurpose c : CryptoServicePurpose.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CryptoServicePurpose valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null